package jimm.datavision.gui;
import java.awt.Frame;
import java.awt.Dimension;
import javax.swing.JDialog;
import javax.swing.JTextArea;

class SQLQueryWin extends JDialog {

SQLQueryWin(Frame owner, String queryString) {
    super(owner, "SQL Query");
    buildWindow(queryString);
    pack();
    show();
}

protected void buildWindow(String queryString) {
    // Copy the string and add some newlines
    char[] queryChars = queryString.toCharArray();

    int pos = queryString.indexOf(" from ");
    if (pos >= 0) queryChars[pos] = '\n';
    else pos = 0;

    pos = queryString.indexOf(" where ", pos);
    if (pos >= 0) queryChars[pos] = '\n';
    else pos = 0;

    pos = queryString.indexOf(" order by ", pos);
    if (pos >= 0) queryChars[pos] = '\n';

    JTextArea text = new JTextArea(new String(queryChars));
    text.setEditable(false);
    text.setLineWrap(true);
    text.setPreferredSize(new Dimension(340, 275));
    getContentPane().add(text);
}

}
