package jimm.datavision.gui;
import jimm.datavision.Report;
import jimm.datavision.Query;

/**
 * This dialog lets the user edit the report query's where clause.
 *
 * @author Jim Menard, <a href="mailto:jimm@io.com">jimm@io.com</a>
 */
public class WhereClauseWin extends CodeEditorWin {

protected Report report;

/**
 * Constructor.
 *
 * @param frame the window to which this dialog belongs
 * @param report the...um...I forgot
 */
public WhereClauseWin(javax.swing.JFrame frame, Report report) {
    super(frame, report.getQuery().getEditableWhereClause(),
	  "Record Selection Criteria");
    this.report = report;
}

public void save(String text) {
    report.getQuery().setEditableWhereClause(text);
}

}
