package jimm.datavision.test;
import jimm.datavision.Report;
import jimm.datavision.sql.*;
import java.util.ArrayList;
import java.util.Iterator;
import java.sql.ResultSet;
import java.sql.DatabaseMetaData;

public class DatabaseTest {

public static void main(String[] args) {
    Database db = null;
    try {
	db =
	    new Database("org.postgresql.Driver",
			 "jdbc:postgresql:dv_example", new Report(),
			 "dv_example", "jimm");

	System.out.println("Table names:");
	for (Iterator iter = db.tables(); iter.hasNext(); ) {
	    Table table = (Table)iter.next();
	    System.out.println("\t" + table.getName());
	    for (Iterator cols = table.columns(); cols.hasNext(); ) {
		System.out.println("\t\t" + ((Column)cols.next()).getName());
	    }
	}
    }
    catch (Exception e) {
	e.printStackTrace();
    }

//      try {
//  	DatabaseMetaData dbm = db.getConnection().getMetaData();

//  	System.out.println("Catalogs:");
//  	ResultSet rset = dbm.getCatalogs();
//  	while (rset.next())
//  	    System.out.println("\t" + rset.getString("TABLE_CAT"));
//  	rset.close();

//  	System.out.println("Schemas:");
//  	rset = dbm.getSchemas();
//  	while (rset.next())
//  	    System.out.println("\t" + rset.getString("TABLE_SCHEM"));
//  	rset.close();
//      }
//      catch (Exception e) {
//  	e.printStackTrace();
//      }
}

}
