#!/bin/sh
#
# Called from the Makefile, this script creates the tarball
# /tmp/datavision-<version>.tar.gz.
#

appdir=datavision
version=`./versionNumber.rb -n`
here=`dirname $0`

cd $here/..
mv $appdir $appdir-$version
tar -cf - $appdir-$version | gzip >/tmp/$appdir-$version.tar.gz
mv $appdir-$version $appdir
