#! /bin/sh

# Add JDBC driver(s)
# export CLASSPATH="$CLASSPATH":/usr/local/lib/mm.mysql-2.0.4-bin.jar
# export CLASSPATH="$CLASSPATH":/usr/local/lib/mysql_comp.jar
export CLASSPATH="$CLASSPATH":/usr/lib/pgsql/jdbc7.0-1.2.jar

cd `dirname $0`
cmd=$1
shift
case $cmd in
    copy)			# Copy the XML file first, in case we ruin it.
	cp examples/postgresql.xml /tmp/postgresql.xml ;
	./datavision.sh /tmp/postgresql.xml ;
	;;
    nocopy)			# Brave, aren't we?
	./datavision.sh /tmp/postgresql.xml ;
	;;
    new)			# Create a new, empty report.
	./datavision.sh
	;;
    convert)			# Open a copy of a file in the old 0.1 format.
	cp examples/old_format.xml /tmp/old_format.xml ;
	./datavision.sh /tmp/old_format.xml ;
	;;
    old)
	cp $1 /tmp ;
	./datavision.sh /tmp/`basename $1` ;
	;;
    verbatim)
	./datavision.sh $* ;
        ;;
    *)
	echo usage: $0 '[copy | nocopy | new | convert | old | verbatim]'
esac
