#! /bin/sh

export CLASSPATH="$CLASSPATH":DataVision.jar:MinML.jar:jcalendar.jar:\
/usr/java/jdk1.3.1_01/src.jar:/usr/lib/pgsql/jdbc7.0-1.2.jar

case "$1" in
    -t)
	java jimm.datavision.test.TokenizerTest ;
	;;
    -d)
	java jimm.datavision.test.DatabaseTest ;
	;;
    -r)
	java jimm.datavision.test.ReportRunner $2 examples/postgresql.xml ;
	;;
     *)
	echo usage: $0 '(-t|-d|-r) [report-runner-arg]'
	echo "    where report-runner-arg is one of -c, -d, -h, -l, -s, or -x"
	exit -1
	;;
esac
